Skip to content

Get Funding Rate

Rate Limit: 10 req/sec/ip

Description

Get the history funding rate of the contract

HTTP Request

  • GET /api/v1/futures/market/get_funding_rate_history

Request Parameters

ParameterTypeRequiredDescription
symbolstringtrueTrading pair, based on the symbolName, i.e. BTCUSDT
starTimeint64falseStart timestamp(Funding settle time)
Unix timestamp in milliseconds format, e.g. 1597026383085
endTimeint64fasleEnd timestamp(Funding settle time)
Unix timestamp in milliseconds format, e.g. 1597026383085
limitint32falseDefault: 100,Maximum: 200

Request Example

bash
curl -X 'GET'  --location 'https://fapi.bitunix.com/api/v1/futures/market/get_funding_rate_history?symbol=BTCUSDT&limit=10'

Response Parameters

ParameterTypeDescription
markPricestringMark price
fundingRatestringFunding rate
fundingTimeint64Funding timestamp

Response Example

json
{"code":0,"data":[{"fundingRate":"-0.00001191","fundingTime":"1772449200000","markPrice":"66286.6"}],"msg":"Success"}